# $Revision: 1.6 $, $Date: 2012/03/26 19:45:41 $
# TODO
# - system locale dir
%define		status		stable
%define		pearname	Horde_Imsp
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - IMSP API
Name:		php-horde-Horde_Imsp
Version:	1.0.6
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	97d6bd47a71829cbfc78b51b6d73a0ef
URL:		https://github.com/horde/horde/tree/master/framework/Imsp/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides an API into an IMSP server for address books and options.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Imsp
%{php_pear_dir}/data/Horde_Imsp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-horde-Horde_Imsp.spec,v $
Revision 1.6  2012/03/26 19:45:41  glen
- updated to: 1.0.6

Revision 1.5  2011/09/15 19:57:51  glen
- updated to: 1.0.4

Revision 1.4  2011/07/31 19:05:28  glen
- updated to: 1.0.3

Revision 1.3  2011/05/03 05:26:45  glen
- use github url to package, as pear url is not specific

Revision 1.2  2011/04/11 07:44:31  glen
- Horde dir dep

Revision 1.1  2011/04/10 21:38:06  glen
- horde h4 pear packages
